Rapid7 Vulnerability & Exploit Database

GetSimpleCMS PHP File Upload Vulnerability

Back to Search

GetSimpleCMS PHP File Upload Vulnerability

Disclosed
01/04/2014
Created
05/30/2018

Description

This module exploits a file upload vulnerability in GetSimple CMS. By abusing the upload.php file, a malicious authenticated user can upload an arbitrary file, including PHP code, which results in arbitrary code execution.

Author(s)

  • Ahmed Elhady Mohamed

Platform

PHP

Architectures

php

Development

References

  • EDB-25405
  • OSVDB-93034

Module Options

To display the available options, load the module within the Metasploit console and run the commands 'show options' or 'show advanced':

msf > use exploit/unix/webapp/get_simple_cms_upload_exec
msf exploit(get_simple_cms_upload_exec) > show targets
    ...targets...
msf exploit(get_simple_cms_upload_exec) > set TARGET < target-id >
msf exploit(get_simple_cms_upload_exec) > show options
    ...show and set options...
msf exploit(get_simple_cms_upload_exec) > exploit

Time is precious, so I don’t want to do something manually that I can automate. Leveraging the Metasploit Framework when automating any task keeps us from having to re-create the wheel as we can use the existing libraries and focus our efforts where it matters.

– Jim O’Gorman | President, Offensive Security

;